Vercel
API ReferenceChats

Create Chat From ZIP

Creates a new chat from a zip archive.

POST/v2/chats/from-zip

Usage

TypeScript Example
import { v0 } from 'v0'const result = await v0.chats.createFromZip({  url: 'https://example.com',})console.log(result)

From ZIP URL

TypeScript Example
import { v0 } from 'v0'const result = await v0.chats.createFromZip({  url: 'https://example.com/archive.zip',  title: 'Imported project',})console.log(result)

API Signature

Request

Request Body

url: string

Zip archive used to seed the new chat.

privacy?: 'public' | 'private' | 'team' | 'team-edit' | 'unlisted'

Visibility setting for the new chat.

title?: string

Title for the new chat.

metadata?: Record<string, string>

Arbitrary key-value data to attach to the chat.

Response

chat: object
id: string

Unique chat identifier.

title?: string

Chat title, if generated.

privacy: 'public' | 'private' | 'team' | 'team-edit' | 'unlisted'

Visibility setting of the chat.

createdAt: string

ISO timestamp of when the chat was created.

updatedAt?: string

ISO timestamp of when the chat was last updated.

authorId: string

ID of the user who created the chat.

vercelProjectId?: string

Associated Vercel project ID, if any.

metadata: Record<string, string>

User-defined key-value metadata.

writePermission: boolean

Whether the caller has write access to this chat.

usage: object

Token usage and credit cost for prompt.

tokens: object

Token counts for this message.

input: number

Prompt input value (non-cached).

output: number

Completion output value.

cacheRead: number

Cache-read input value.

cacheWrite: number

Cache-write input value.

total: number

Sum of input, output, cacheRead, and cacheWrite.

creditsCost: object

Credit cost for this message.

input: number

Prompt input value (non-cached).

output: number

Completion output value.

cacheRead: number

Cache-read input value.

cacheWrite: number

Cache-write input value.

total: number

Sum of input, output, cacheRead, and cacheWrite.

On this page